From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Camm Maguire <camm@debian.org>
Date: Feb, 21 2026 16:15:45 +0000
Subject: [PATCH] <short summary of the patch>

TODO: Put a short summary on the line above and replace this paragraph
with a longer explanation of this change. Complete the meta-information
with other relevant fields (see below for details). To make it easier, the
information below has been extracted from the changelog. Adjust it or drop
it.

---
The information above should follow the Patch Tagging Guidelines, please
checkout https://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: (upstream|backport|vendor|other), (<patch-url>|commit:<commit-id>)
Bug: <upstream-bugtracker-url>
Bug-<Vendor>: <vendor-bugtracker-url>
Forwarded: (no|not-needed|<patch-forwarded-url>)
Applied-Upstream: <version>, (<commit-url>|commit:<commid-id>)
Reviewed-By: <name and email of someone who approved/reviewed the patch>

--- axiom-20210105dp1.orig/src/interp/sockio.lisp.pamphlet
+++ axiom-20210105dp1/src/interp/sockio.lisp.pamphlet
@@ -89,7 +89,7 @@ Yet another version of GCL requires anot
 #+KCL
 (progn
   (clines "extern double plus_infinity(), minus_infinity(), NANQ();")
-  (clines "extern double sock_get_float();")
+  (clines "extern double sock_get_float(int);")
 \end{chunk}
 GCL may pass strings by value.  [[sock_get_string_buf]] should fill
 string with data read from connection, therefore needs address of
